package com.yd.dal.mapper.marketing;

import com.yd.dal.entity.marketing.MktLeadsExpertRequest;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MktLeadsExpertRequestMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MktLeadsExpertRequest record);

    int insertSelective(MktLeadsExpertRequest record);

    MktLeadsExpertRequest selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MktLeadsExpertRequest record);

    int updateByPrimaryKey(MktLeadsExpertRequest record);

    int updateBatch(List<MktLeadsExpertRequest> list);

    int updateBatchSelective(List<MktLeadsExpertRequest> list);

    int batchInsert(@Param("list") List<MktLeadsExpertRequest> list);

    MktLeadsExpertRequest selectByAassignedId(Long assignedId);

    MktLeadsExpertRequest selectByCustomerId(Long customerId);
}